Skip to main content
GET
List model configurations

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

Project identifier.

Query Parameters

referenceModelId
string

Deprecated. Use referenceModel. Reference model identifier filter; if both are set, they must agree.

referenceModel
string

Model resource-name filter using projects/{projectId}/models/{modelId}; alternative to referenceModelId. If both are set, they must agree.

limit
integer

Maximum number of results to return.

after
string

Cursor from a previous list response.

Response

OK

Model-compatible config revisions and pagination metadata.

data
object[]
required

The list of model configs.

object
any
required

Object type. Always list.

next_cursor
string

Cursor for the next page. Null if there are no more results.